{
  "$schema": "./gen/schemas-zh/config.json",
  "productName": "智评会议",
  "mainBinaryName": "zhipinghuiyi",
  "identifier": "com.shurenjiaoyu.zhipinghuiyi",
  "version": "1.0.38",
  "build": {
    "frontendDist": "../dist",
    "devUrl": "http://localhost:4266",
    "beforeDevCommand": "vite dev"
  },
  "app": {
    "macOSPrivateApi": true,
    "withGlobalTauri": true,
    "windows": [
      {
        "title": "智评会议",
        "width": 1200,
        "height": 700,
        "resizable": true,
        "fullscreen": false,
        "decorations": false,
        "transparent": true,
        "alwaysOnTop": false,
        "center": true,
        "shadow": true,
        "zoomHotkeysEnabled": true,
        "focusable": true,
        "focus": true,
        "acceptFirstMouse": true,
        "devtools": true,
        "dragDropEnabled": false,
        "windowEffects": {
          "effects": [],
          "radius": 8
        }
      }
    ],
    "security": {
      "csp": {
        "default-src": " * 'self'",
        "connect-src": "ipc: http://ipc.localhost *",
        "font-src": "*",
        "img-src": "* data:",
        "style-src": "'unsafe-inline' 'self'"
      },
      "dangerousDisableAssetCspModification": ["style-src"]
    }
  },
  "bundle": {
    "active": true,
    "targets": "all",
    "category": "Education",
    "createUpdaterArtifacts": true,
    "icon": ["icons/32x32.png", "icons/128x128.png", "icons/128x128@2x.png", "icons/icon.icns", "icons/icon.ico"],
    "resources": ["resources/**/*"],
    "publisher": "重庆树人教育研究院",
    "homepage": "https://yx.qyzhjy.com",
    "copyright": "Copyright © 2023 树人教育研究院. 保留版权所有.",
    "license": "重庆树人教育研究院",
    "shortDescription": "专注于在线教育，提供优质的教育资源和专业的教育服务。",
    "longDescription": "重庆树人教育研究院专注于在线教育，提供优质的教育资源和专业的教育服务。",
    "macOS": {
      "hardenedRuntime": true,
      "infoPlist": "Info.plist",
      "entitlements": "Entitlements.plist"
    },
    "windows": {
      "wix": {
        "language": "zh-CN"
      },
      "webviewInstallMode": {
        "type": "embedBootstrapper"
      },
      "nsis": {
        "installMode": "both",
        "displayLanguageSelector": false,
        "installerIcon": "icons/icon.ico",
        "headerImage": null,
        "languages": ["SimpChinese"]
      }
    }
  },
  "plugins": {
    "updater": {
      "pubkey": "dW50cnVzdGVkIGNvbW1lbnQ6IG1pbmlzaWduIHB1YmxpYyBrZXk6IEJBOEZFQTFDMzk1NTg0NjAKUldSZ2hGVTVIT3FQdWhpOEhzNmc2dHNGRTdPeFlhNHhSMU5SWUNLeFJTblFnVFVwYUhZZ2srTXIK",
      "endpoints": ["https://file.qyzhjy.com/app/zpkt_desktop_app/{{target}}/latest.json"],
      "windows": {
        "installMode": "passive"
      }
    }
  }
}
